List PTR records for an SBM server

GET/v1/hosts/sbm_servers/{server_id}/ptr_records

A GET request to /v1/hosts/sbm_servers/{server_id}/ptr_records will list PTR records associated with an SBM server specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the sbm_server type.

Query Parameters

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. You can sort by domain as well.

Default"id"

Value in

  • "id"
  • "domain"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/hosts/sbm_servers/3YaOqQdx/ptr_records"
[  {    "id": "y1aKReQG",    "ip": "100.0.0.60",    "domain": "example-1331.com",    "priority": 43,    "ttl": 3600  }]
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}